package intrinsic.flash.filesystem;

public class File extends intrinsic.flash.net.FileReference {

	/** Accessors */
	public intrinsic.flash.filesystem.File parent;
	public boolean isHidden;
	public boolean exists;
	public intrinsic.flash.desktop.Icon icon;
	public String url;
	public String nativePath;
	public boolean isDirectory;

	/** Variables */

	/** Constants */

	/** Class Accessors */
	public static intrinsic.flash.filesystem.File applicationStorageDirectory;
	public static intrinsic.flash.filesystem.File applicationResourceDirectory;
	public static String systemCharset;
	public static intrinsic.flash.filesystem.File documentsDirectory;
	public static intrinsic.flash.filesystem.File desktopDirectory;
	public static String lineEnding;
	public static String separator;
	public static intrinsic.flash.filesystem.File userDirectory;

	/** Class variables */

/** Contructors */
public File() {
}

public File(String arg0) {
}


/** Static Methods */
public static native intrinsic.flash.filesystem.File createTempFile();
public static native intrinsic.flash.filesystem.File createTempDirectory();
public static native intrinsic.Array getRootDirectories();

/** Methods */
public native void moveToTrashAsync();
public native void browseForSave(String arg0);
public native String toString();
public native void browseForOpenMultiple(String arg0);
public native void browseForOpenMultiple(String arg0, intrinsic.Array arg1);
public native void deleteFileAsync();
public native void browseForOpen(String arg0);
public native void browseForOpen(String arg0, intrinsic.Array arg1);
public native String getRelativePath(intrinsic.flash.net.FileReference arg0);
public native String getRelativePath(intrinsic.flash.net.FileReference arg0, boolean arg1);
public native intrinsic.flash.filesystem.File resolvePath(String arg0);
public native void moveTo(intrinsic.flash.net.FileReference arg0);
public native void moveTo(intrinsic.flash.net.FileReference arg0, boolean arg1);
public native void deleteFile();
public native void browseForDirectory(String arg0);
public native void copyTo(intrinsic.flash.net.FileReference arg0);
public native void copyTo(intrinsic.flash.net.FileReference arg0, boolean arg1);
public native intrinsic.Array getDirectoryListing();
public native void canonicalize();
public native void createDirectory();
public native Object clone();
public native void deleteDirectory();
public native void deleteDirectory(boolean arg0);
public native void deleteDirectoryAsync();
public native void deleteDirectoryAsync(boolean arg0);
public native void copyToAsync(intrinsic.flash.net.FileReference arg0);
public native void copyToAsync(intrinsic.flash.net.FileReference arg0, boolean arg1);
public native void getDirectoryListingAsync();
public native void moveToAsync(intrinsic.flash.net.FileReference arg0);
public native void moveToAsync(intrinsic.flash.net.FileReference arg0, boolean arg1);
public native void cancel();
public native void moveToTrash();

}
